Summary:	Screen layout editor for xrandr 1.2 (Another XRandR gui)
Name:		arandr
Version:	0.1.10
Release:	%mkrel 2
License:	GPLv3
Group:		System/X11
URL:		http://christian.amsuess.com/tools/arandr/
Source0:	http://christian.amsuess.com/tools/arandr/files/%{name}-%{version}.tar.xz

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-docutils
Requires:	pygtk2.0
Requires:	xrandr

%description
Provide a simple visual front end for XRandR 1.2, client
side X only (no xorg.conf involved, no pre-1.2 options).

Features

* Allow setting the primary output
* Full controll over positioning (instead of plain "left of") with
  edge snapping
* Saving configurations as executable shell scripts (configurations
  can be loaded without using this program)
* Configuration files can be edited to include additional payload
  (like xsetwacom commands tablet PC users need when rotating), which
  is preserved when editing
* Metacity keybinding integration:
* Saved configurations can be bound to arbitrary keys via metacity
  custom commands.
* Several layouts can be bound to one key; they are cycled
  through. (Useful for "rotate" buttons on tablet PCs.)
* Main widget separated from packaged application (to facilitate
  integration with existing solutions)

%prep
%setup -q


%build
%py3_build

%install
rm -rf %buildroot
%py3_install

desktop-file-install --vendor="" \
    --remove-category="Application" \
   --add-category="X-MandrivaLinux-System-Configuration" \
   --add-category="X-XFCE-SettingsDialog" \
   --add-category="X-XFCE-HardwareSettings" \
   --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README TODO
%{python3_sitelib}/screenlayout
%{python3_sitelib}/*.egg-info

%{_bindir}/%{name}
%{_bindir}/unxrandr
%{_datadir}/applications/arandr.desktop
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/unxrandr.1*

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot


%changelog
* Sun Aug 21 2022 TerryN <terryn94 at gmail.com> 0.1.10-2pclos2022
- rebuild for python 3.10

* Fri Sep 20 2019 tex - 0.1.10-1pclos2019
- Update to version 0.1.10
